/**************************************************
第一部分：
**************************************************/
#EntryTag {
    margin-top: 20px;
    font-size: 9pt;
    color: gray;
}

.topicListFooter {
    text-align: right;
    margin-right: 10px;
    margin-top: 10px;
}

#divRefreshComments {
    text-align: right;
    margin-right: 10px;
    margin-bottom: 5px;
    font-size: 9pt;
}
/*****第一部分结束*******************************/

/**************************************************
第二部：公共样式（全局样式）
**************************************************/
* {
    margin: 0;
    padding: 0;
}

html {
    height: 100%;
}

table {
    border-collapse: collapse;
    border-spacing: 0;
}

fieldset, img {
    border: 0;
}

li {
    list-style: none;
}

h1, h2, h3, h4, h5, h6 {
    font-size: 100%;
    font-weight: normal;
}

a {
    outline: none;
    color: #21759b;
}

a:link {
    color: black;
    text-decoration: none;
}

a:visited {
    color: black;
    text-decoration: none;
}

a:hover {
    color: #21759b;
}

a:active {
    color: black;
    text-decoration: none;
}

.clear {
    clear: both;
}
/*****第二部分结束*******************************/

/**************************************************
第三部分：各个页面元素的样式。
**************************************************/
/*****home和头部开始**************************/

#home {
    width: 80%;
    margin-left: auto;
    margin-right: auto;
    background-color: #2f3a3bd1;
    margin-top: 20px;
    padding: 10px;
}



#header {
    padding-bottom: 5px;
    margin-top: 10px;
}

#blogTitle {
    height: 60px;
    clear: both;
}

#blogTitle h1 {
    font-size: 26px;
    font-weight: bold;
    line-height: 1.5em;
    margin-top: 20px;
}

#blogTitle h1 a {
    color: white;
}

#blogTitle h1 a:hover {
    color: #21759b;
}

#blogTitle h2 {
    font-weight: normal;
    font-size: 13px;
    font-size: 0.928571429rem;
    line-height: 1.846153846;
    color: #757575;
    float: left;
}

#blogLogo {
    float: right;
}

#navigator {
    font-size: 13px;
    border-bottom: 1px solid #ededed;
    border-top: 1px solid #ededed;
    height: 50px;
    clear: both;
    margin-top: 25px;
}

#navList {
    min-height: 30px;
    float: left;
}

#navList li {
    float: left;
    margin: 0 40px 0 0;
}

#navList a {
    display: block;
    width: 5em;
    height: 22px;
    float: left;
    text-align: center;
    padding-top: 19px;
}

#navList a:link, #navList a:visited, #navList a:active {
    color: #6a6a6a;
    font-weight: bold;
}

#navList a:hover {
    color: #000;
    text-decoration: none;
}

.blogStats {
    float: right;
    color: #757575;
    margin-top: 19px;
    margin-right: 2px;
    text-align: right;
}
/*****home和头部结束**************************/

/*****主页文章列表开始**************************/
#main {
    width: 100%;
    text-align: left;
    margin-top: 30px;
}

#mainContent .forFlow {
    margin-left: 22em;
    float: none;
    width: auto;
}

#mainContent {
    min-height: 200px;
    padding: 0px 0px 10px 0;
    *padding-top: 10px;
    -o-text-overflow: ellipsis;
    text-overflow: ellipsis;
    overflow: hidden;
    float: left;
    margin-left: -22em;
    width: 100%;
}

.day {
    min-height: 10px;
    _height: 10px;
    margin-bottom: 20px;
    padding-bottom: 5px;
    position: relative;
}

.dayTitle {
    display: none;
    border: 1px solid #21759b;
    background: azure;
    border-radius: 50%;
    font-size: 12px;
    height: 65px;
    line-height: 1.5;
    margin: 15px;
    text-align: center;
    width: 63px;
    margin-left: -100px;
    clear: both;
    position: absolute;
    top: -15px;
}

.dayTitle a {
    display: inline-block;
    color: #21759b;
    margin-top: 15px;
    width: 60px;
}

.postTitle {
    border-left: 3px solid #21759b;
    margin-bottom: 10px;
    font-size: 20px;
    float: right;
    width: 100%;
    clear: both;
}

.postTitle a:link, .postTitle a:visited, .postTitle a:active {
    color: #93ff00 !important;
    transition: all 0.4s linear 0s;
}

.postTitle a:hover {
    margin-left: 30px;
    color: #0f3647;
    text-decoration: none;
}

.postCon {
    float: right;
    line-height: 1.5em;
    width: 100%;
    clear: both;
    padding: 10px 0;
}

.day .postTitle a {
    padding-left: 10px;
}

.postDesc {
    font-size: 13px;
    background: url(images/posted_time.png) no-repeat 0 1px;
    color: #000000;
    float: left;
    width: 100%;
    clear: both;
    text-align: left;
    padding-left: 20px;
    padding-right: 5px;
    margin-top: 20px;
    line-height: 1.5;
}

.postDesc a:link, .postDesc a:visited, .postDesc a:active {
    color: #ffffff40;
}

.postDesc a:hover {
    color: #21759b;
    text-decoration: none;
}

.postSeparator {
    clear: both;
    height: 1px;
    width: 100%;
    clear: both;
    float: right;
    margin: 0 auto 15px auto;
}
/*****主页文章列表开始**************************/

/*****侧边栏开始********************************/
#sideBar {
    margin-top: -15px;
    width: 230px;
    min-height: 200px;
    padding: 0px 0 0px 5px;
    float: right;
    -o-text-overflow: ellipsis;
    text-overflow: ellipsis;
    overflow: hidden;
}

#sideBar a {
    color: #ffffff;
}

#sideBar a:hover {
    color: #21759b;
    text-decoration: underline;
}

.div_my_zzk {
    width: 175px;
    position: relative;
    margin-top: 10px;
}

#btnZzk {
    background: url("images/blog_search.png") no-repeat 5px 5px;
}

#widget_my_google input[type=button] {
    background: url("images/google_search.png") no-repeat 5px 5px;
}

.input_my_zzk {
    border: 1px solid #ccc;
    width: 100%;
    height: 25px;
    padding-right: 30px;
    padding-left: 5px;
    outline: 0;
    background: #ffffff00;
}

.btn_my_zzk {
    font-size: 12px;
    width: 25px;
    height: 25px;
    color: transparent;
    border: 0;
    border-style: none;
    cursor: pointer;
    top: 1px;
    position: absolute;
    right: -35px;
}

.input_my_zzk:hover {
    border: 1px solid #21759b;
    transition: all 0.4s linear 0s;
}

.input_my_zzk:focus {
    border: 1px solid #21759b;
}

.newsItem, .catListEssay, .catListLink, .catListNoteBook, .catListTag, .catListPostCategory, .catListPostArchive, .catListImageCategory, .catListArticleArchive, .catListView, .catListFeedback, .mySearch, .catListComment, .catListBlogRank, .catList, .catListArticleCategory {
    background: #fff0;
    margin-bottom: 35px;
    word-wrap: break-word;
}

.newsItem .catListTitle {
}
/**日历控件样式开始**/

#blog-calendar {
    width: 228px;
    padding-bottom: 5px;
    margin-bottom: 35px;
    box-shadow: 0 1px 3px #ccc;
    border: 1px solid #EDEDED;
}

#blog-calendar td {
    font-size: 12px;
    font-family: "Comic Sans MS";
}

#blog-calendar th {
    font-size: 12px;
}

#calendar {
    width: 228px;
    padding-bottom: 5px;
    margin-bottom: 35px;
    border: 1px solid #EDEDED;
    box-shadow: 0 1px 3px #ccc;
}

#calendar .Cal {
    width: 100%;
    line-height: 1.5em;
}

#calendar td {
    font-family: "Comic Sans MS";
    background: #FFFFFF;
    padding-top: 2px;
}

.Cal { /**日历容器table**/
    border: none;
    color: #666;
}

#calendar table a:link, #calendar table a:visited, #calendar table a:active {
    font-weight: bold;
}

#calendar table a:hover {
    color: white;
    text-decoration: none;
}

.CalTodayDay { /**今天日期样式**/
    background: #3671a5 !important;
    color: #FFF;
    font-weight: bold;
}

.CalWeekendDay {
    padding-top: 4px;
    padding-bottom: 4px;
}

.CalOtherMonthDay {
    color: #000000a1;
    padding-top: 4px;
    padding-bottom: 4px;
}

#calendar .CalNextPrev a:link, #calendar .CalNextPrev a:visited, #calendar .CalNextPrev a:active { /**上个月、下个月箭头样式**/
    font-weight: bold;
    padding-left: 10px;
    padding-right: 15px;
}

.CalDayHeader {
    background: #F8F8F8;
    font-weight: 100;
    color: #5E5F63;
}

.CalTitle { /**日历年月头部样式**/
    background: #6293bb;
    width: 100%;
    height: 25px;
    text-align: center;
    font-size: 14px;
    font-weight: bold;
    padding: 5px 0;
    color: #FFF;
}

.CalTitle td {
    background: #F8F8F8 !important;
    border: 0px !important;
    color: #5E5F63;
    font-family: "Comic Sans MS";
}
/**日历控件样式结束**/
.catListTitle {
    font-weight: bold;
    line-height: 1.2;
    font-size: 110%;
    margin-top: 15px;
    margin-bottom: 10px;
    text-align: left;
}

.catListComment {
    line-height: 1.5em;
}

.divRecentComment {
    text-indent: 2em;
    color: #494949;
    margin-bottom: 20px;
}

#sideBarMain ul {
    line-height: 1.5em;
}

#sideBarMain li {
    line-height: 1.8;
}
/*****侧边栏结束********************************/


/****查看文章页面开始*************************/
#topics {
    width: 100%;
    min-height: 200px;
    padding: 0px 0px 10px 0;
    float: left;
    -o-text-overflow: ellipsis;
    text-overflow: ellipsis;
    overflow: hidden;
}

#topics .postTitle {
    border: 0px;
    font-size: 130%;
    font-weight: bold;
    float: left;
    line-height: 1.5;
    width: 100%;
    padding-left: 5px;
}

#EntryTag {
    color: #666;
}

#EntryTag a {
    margin-left: 5px;
    height: 20px;
    line-height: 20px;
    color: #333333;
    padding: 3px 14px;
    border-radius: 10px;
    margin: 2px 5px 0;
    background: #e7e7e7;
    text-decoration: none;
}

#EntryTag a:link, #EntryTag a:visited, #EntryTag a:active {
    color: #666;
}

#EntryTag a:hover {
    color: #f5f5f5;
    background: #21759b;
    transition: all 0.4s linear 0s;
}

#BlogPostCategory {
    color: #666;
}

#BlogPostCategory a {
    margin-left: 5px;
    height: 20px;
    line-height: 20px;
    color: #333333;
    padding: 3px 14px;
    border-radius: 10px;
    margin: 2px 5px 0;
    background: #e7e7e7;
    text-decoration: none;
}

#BlogPostCategory a:link, #BlogPostCategory a:visited, #BlogPostCategory a:active {
    color: #666;
}

#BlogPostCategory a:hover {
    color: #f5f5f5;
    background: #21759b;
}

#topics .postDesc {
    padding-left: 0px;
    width: 100%;
    text-align: left;
    color: #000000;
    margin-top: 5px;
    background: none;
}


.feedback_area_title {
    font: normal normal 16px/35px "Microsoft YaHei";
    margin: 10px 0 30px;
    border-bottom: 2px solid #cccccc;
}

.louzhu {
    background: transparent url('/images/icoLouZhu.gif') no-repeat scroll right top;
    padding-right: 16px;
}

.feedbackListSubtitle {
    color: #A8A8A8;
}

.feedbackListSubtitle a:link, .feedbackListSubtitle a:visited, .feedbackListSubtitle a:active {
    color: #21759b;
    font-weight: bold;
}

.feedbackListSubtitle a:hover {
    color: #21759b;
    text-decoration: underline;
}

.feedbackListSubtitle b {
    color: #21759b;
}

.feedbackManage {
    width: 200px;
    text-align: right;
    float: right;
}

.feedbackCon {
    border-bottom: 1px solid #EEE;
    padding: 10px 20px 10px 5px;
    min-height: 35px;
    _height: 35px;
    margin-bottom: 1em;
    line-height: 1.5;
}

#divRefreshComments {
    text-align: right;
    margin-bottom: 10px;
}

.commenttb {
    padding: 8px;
    margin-bottom: 10px;
    width: 50%;
    color: #555;
    border: 1px solid #ddd;
    border-radius: 3px;
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    width: 320px;
}

.commenttb:hover {
    color: #333;
    border-color: rgba(82, 168, 236, 0.8);
    outline: 0;
    -webkit-box-shadow: inset 1px 1px 1px rgba(0, 0, 0, 0.075), 0 0 4px rgba(82, 168, 236, 0.6);
    -moz-box-shadow: inset 1px 1px 1px rgba(0, 0, 0, 0.075), 0 0 4px rgba(82, 168, 236, 0.6);
    box-shadow: inset 1px 1px 1px rgba(0, 0, 0, 0.075), 0 0 4px rgba(82, 168, 236, 0.6);
    transition: all 0.4s linear 0s;
}

.commentTextBox {
    width: 410px !important;
    margin-top: 10px;
    margin-bottom: 10px;
}

.commentTextBox:hover {
    color: #333;
    border-color: rgba(82, 168, 236, 0.8);
    outline: 0;
    -webkit-box-shadow: inset 1px 1px 1px rgba(0, 0, 0, 0.075), 0 0 4px rgba(82, 168, 236, 0.6);
    -moz-box-shadow: inset 1px 1px 1px rgba(0, 0, 0, 0.075), 0 0 4px rgba(82, 168, 236, 0.6);
    box-shadow: inset 1px 1px 1px rgba(0, 0, 0, 0.075), 0 0 4px rgba(82, 168, 236, 0.6);
    transition: all 0.4s linear 0s;
}

#AjaxHolder_PostComment_btnSubmit {
    padding: 8px 20px;
    text-align: center;
    font-size: 14px;
    color: #fff;
    border: none;
    background: #21759b;
    border-radius: 3px;
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    -webkit-transition: all 0.4s ease;
    -moz-transition: all 0.4s ease;
    -o-transition: all 0.4s ease;
    -ms-transition: all 0.4s ease;
    transition: all 0.4s ease;
    cursor: pointer;
    display: inline-block;
    vertical-align: middle;
    outline: none;
    text-decoration: none;
}

#AjaxHolder_PostComment_btnSubmit:hover {
    background: #333;
}

#AjaxHolder_PostComment_divCommnentArea tr {
    margin-top: 10px;
    margin-bottom: 10px;
}
/*博客园评论框*/
.comment_vote {
    padding-right: 10px;
}

.comment_vote a {
    color: #999;
}

.comment_vote a:hover {
    color: #21759b;
}

#commentform_title {
    font: normal normal 16px/35px "Microsoft YaHei";
    margin: 10px 0 30px;
    border-bottom: 2px solid #cccccc;
    background-image: none;
    padding: 0;
}

#comment_form_container .author {
    padding-left: 10px;
    color: #555;
    border: 1px solid #ddd;
    border-radius: 3px;
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    width: 320px;
    height: 20px;
    background-image: none;
}

#comment_form_container p {
    font-size: 14px;
    margin-bottom: 20px;
}

.commentbox_title_left {
    font-size: 14px;
}

.commentbox_title_right {
    float: left;
}

#comment_form_container .comment_textarea {
    width: 362px;
    height: 200px;
    font-size: 13px;
    padding: 8px;
    margin-bottom: 10px;
    color: #555;
    border: 1px solid #ddd;
    border-radius: 3px;
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    background : #ffffff00; 
}

#comment_form_container .comment_textarea:hover {
    border-color: rgba(82, 168, 236, 0.8);
    outline: 0;
    transition: all 0.4s linear 0s;
    background: #ffffff00;
}

#comment_form_container .comment_textarea:focus {
    outline: 0;
}

.comment_btn {
    width: 100px;
    height: 38px;
    padding: 8px 20px;
    text-align: center;
    font-size: 14px;
    color: #fff;
    border: none;
    background: #21759b;
    border-radius: 3px;
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    -webkit-transition: all 0.4s ease;
    -moz-transition: all 0.4s ease;
    -o-transition: all 0.4s ease;
    -ms-transition: all 0.4s ease;
    transition: all 0.4s ease;
    cursor: pointer;
    display: inline-block;
    vertical-align: middle;
    outline: none;
    text-decoration: none;
}

.comment_btn:hover {
    background: #333;
}

#comment_form_container {
}
/****查看文章页面开始*************************/

/****列表页面开始******************************/
.entrylistTitle, .PostListTitle, .thumbTitle { /**几个分类列表的标题样式**/
    margin-bottom: 25px;
    height: 38px;
    line-height: 38px;
    font-size: 16px;
    border-bottom: 2px solid #e6e6e6;
}

color: #21759b; .entrylistDescription {
    color: #666;
    text-align: right;
    padding-top: 5px;
    padding-bottom: 5px;
    padding-right: 10px;
    margin-bottom: 10px;
}

.entrylistItem {
    min-height: 20px;
    _height: 20px;
    margin-bottom: 30px;
    padding-bottom: 50px;
    padding-top: 10px;
    width: 100%;
}

.entrylistPosttitle {
    padding-left: 15px;
    margin-bottom: 10px;
    border-left: 3px solid #21759b;
    font-size: 20px;
    width: 100%;
}

.entrylistPosttitle a:link, .entrylistPosttitle a:visited, .entrylistPosttitle a:active {
    color: #21759b;
    transition: all 0.4s linear 0s;
}

.entrylistPosttitle a:hover {
    margin-left: 30px;
    color: #0f3647;
    text-decoration: none;
}

.entrylistPostSummary {
    margin-top: 5px;
    margin-bottom: 5px;
}

.entrylistItemPostDesc {
    margin-top: 20px;
    text-align: left;
    color: #757575;
    padding-left: 5px;
}

.entrylistItemPostDesc a:link, .entrylistItemPostDesc a:visited, .entrylistItemPostDesc a:active {
    color: #666;
}

.entrylistItemPostDesc a:hover {
    color: #21759b;
}

.entrylist .postSeparator {
    clear: both;
    width: 100%;
    font-size: 0;
    line-height: 0;
    margin: 0;
    padding: 0;
    height: 0;
    border: none;
}

.divRecentCommentAticle a {
    color: #000;
}

.pager {
    text-align: right;
    margin-right: 10px;
}

.pager a {
    box-shadow: 0 1px 3px #3671a5;
    border: 1px solid #3671a5;
    background: #3671a5;
    color: white;
    transition: all 0.4s linear 0s;
}

.pager a:hover {
    background: #000;
}

.PostList {
    border-bottom: 1px solid #ccc;
    clear: both;
    min-height: 1.5em;
    _height: 1.5em;
    padding-top: 20px;
    margin-bottom: 20px;
    padding-bottom: 20px;
}

.postTitl2 {
    float: left;
    padding-top: 10px;
    padding-bottom: 10px;
    font-size: 14px;
}

.postDesc2 {
    color: #666;
    float: right;
}

.postText2 {
    clear: both;
    color: #757575;
}

/*留言*/
.pfl_feedback_area_title {
    text-align: right;
    line-height: 1.5em;
    font-weight: bold;
    margin-bottom: 10px;
}

.pfl_feedbackItem {
    border: 1px dashed #ccc;
    padding: 10px;
    border-radius: 3px;
    margin-bottom: 20px;
}

.pfl_feedbacksubtitle {
    width: 100%;
    height: 1.5em;
}

.pfl_feedbackname {
    float: left;
}

.pfl_feedbackname a {
    color: #21759b;
    font-weight: bold;
}

.pfl_feedbackManage {
    float: right;
}

.pfl_feedbackCon {
    color: black;
    padding-top: 5px;
    padding-bottom: 5px;
}

.pfl_feedbackAnswer {
    color: #F40;
    text-indent: 2em;
}

.tdSentMessage {
    text-align: right;
}

.errorMessage {
    width: 300px;
    float: left;
}

#Profile1_panelAdd input[type=text], #Profile1_txtContent {
    padding: 8px;
    margin-bottom: 10px;
    color: #555;
    border: 1px solid #ddd;
    border-radius: 3px;
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
}

#Profile1_panelAdd input[type=text]:hover, #Profile1_txtContent:hover {
    color: #333;
    border-color: rgba(82, 168, 236, 0.8);
    outline: 0;
    -webkit-box-shadow: inset 1px 1px 1px rgba(0, 0, 0, 0.075), 0 0 4px rgba(82, 168, 236, 0.6);
    -moz-box-shadow: inset 1px 1px 1px rgba(0, 0, 0, 0.075), 0 0 4px rgba(82, 168, 236, 0.6);
    box-shadow: inset 1px 1px 1px rgba(0, 0, 0, 0.075), 0 0 4px rgba(82, 168, 236, 0.6);
    transition: all 0.4s linear 0s;
}

#Profile1_panelAdd input[type=text]:focus, #Profile1_txtContent:focus {
    outline: 0;
    border-color: rgba(82, 168, 236, 0.8);
}

#Profile1_panelAdd input[type=submit] {
    padding: 8px 20px;
    text-align: center;
    font-size: 14px;
    color: #fff;
    border: none;
    background: #21759b;
    border-radius: 3px;
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    -webkit-transition: all 0.4s ease;
    -moz-transition: all 0.4s ease;
    -o-transition: all 0.4s ease;
    -ms-transition: all 0.4s ease;
    transition: all 0.4s ease;
    cursor: pointer;
    display: inline-block;
    vertical-align: middle;
    outline: none;
    text-decoration: none;
}

#Profile1_panelAdd input[type=submit]:hover {
    background: #333;
}

.feedbackListSubtitle {
    clear: both;
    color: #A8A8A8;
    padding: 8px 5px;
}

.feedbackItem {
    margin-top: 30px;
}
/****列表页面结束******************************/

/****相册页面开始******************************/
.divPhoto {
    border: 1px solid #ccc;
    padding: 2px;
    margin-right: 10px;
}

.thumbDescription {
    color: #757575;
    text-align: right;
    padding-top: 5px;
    padding-bottom: 5px;
    padding-right: 10px;
    margin-bottom: 30px;
}
/****相册页面开始******************************/


/*****留言页面开始*****************************/
#footer {
    color: #686868;
    text-align: center;
    min-height: 15px;
    _height: 15px;
    border-top: 1px solid #ededed;
    margin-top: 50px;
    padding-top: 10px;
    margin-bottom: 10px;
}
/*留言查看页面的个人信息*/
.personInfo {
    margin-bottom: 20px;
}
/*留言分页区域*/
.pages {
    text-align: right;
}
/*****留言页面结束*****************************/
/*****第三部分结束*******************************/

/**************************************************
第四部分：文章内容常用标签格式。
**************************************************/
/*文章内部常用标签格式*/
.postBody {
    color: #000;
    line-height: 1.7;
    font-size: 14px;
}

.postBody p, .postCon p {
    text-indent: 2em;
    margin: 0 auto 1em auto;
}

.postBody h2 {
    font-size: 150%;
    margin: 15px auto 2px auto;
    font-weight: bold;
}

.postBody h3 {
    font-size: 120%;
    margin: 15px auto 2px auto;
    font-weight: bold;
}

.postBody h4 {
    font-size: 110%;
    margin: 15px auto 2px auto;
    font-weight: bold;
    color: #333;
}

.postBody h5 {
    font-size: 100%;
    margin: 15px auto 2px auto;
    font-weight: bold;
    color: #333;
}

.postBody a:link, .postBody a:visited, .postBody a:active {
    text-decoration: underline;
}

.postCon a:link, .postCon a:visited, .postCon a:active {
    text-decoration: underline;
}

.postBody ul, .postCon ul {
    margin-left: 2em;
}

.postBody li, .postCon li {
    list-style-type: disc;
    margin-bottom: 1em;
}
.postBody blockquote {
    line-height: 1.6em;
    color: #ffffffa8;
}
/*****第四部分结束*******************************/

.myposts_title {
    font-weight: bold;
    text-align: center;
}

#sideBar {
    font-size: 12px;
}

#sideBar h3 {
    font-size: 14px;
}

.c_b_p_desc {
    font-size: 14px;
    line-height: 1.7;
}

#cnblogs_post_body img{
    max-width: 700px;
}






body {
    /*   background: url('https://img2018.cnblogs.com/blog/1592654/201912/1592654-20191207233643607-1387839833.jpg') fixed top center;
     */
    background: url('https://images.cnblogs.com/cnblogs_com/winlere/1390642/o_200813133857mc.png') fixed top center;

    background-size: cover;
    font-family: "Helvetica Neue",Helvetica,Verdana,Arial,sans-serif;
    font-size: 12px;
    min-height: 101%;
    background-repeat: space;
}
.demo{
    /*    background-color:rgba(0,0,0,1);
     */
}
ody {
    font-family:Monaco,Consolas,Microsoft Yahei,Verdana,Arial,Helvetica,sans-serif!important;
}

/*
 代码高亮开始，使用了一个叫Monokai Sublime的黑色主题皮肤，直接拿过来还不行，有一些样式冲突，还要自己稍微改一些地方
Monokai Sublime style. Derived from Monokai by noformnocontent https://nn.mit-license.org/
*/
pre {
    /*控制代码不换行*/
    white-space: pre;
    word-wrap: normal;
}

.hljs,
.hljs-tag,
.hljs-subst {
    color: #f8f8f2;
}

.hljs-strong,
.hljs-emphasis {
    color: #a8a8a2;
}

.hljs-bullet,
.hljs-quote,
.hljs-number,
.hljs-regexp,
.hljs-literal,
.hljs-link {
    color: #ae81ff;
}

.hljs-code,
.hljs-title,
.hljs-section,
.hljs-selector-class {
    color: #a6e22e;
}

.hljs-strong {
    font-weight: bold;
}

.hljs-emphasis {
    font-style: italic;
}

.hljs-keyword,
.hljs-selector-tag,
.hljs-name,
.hljs-attr {
    color: #61FF2e;
}

.hljs-symbol,
.hljs-attribute {
    color: #66d9ef;
}

.hljs-params,
.hljs-class .hljs-title {
    color: #f8f8f2;
}

.hljs-string,
.hljs-type,
.hljs-built_in,
.hljs-builtin-name,
.hljs-selector-id,
.hljs-selector-attr,
.hljs-selector-pseudo,
.hljs-addition,
.hljs-variable,
.hljs-template-variable {
    color: #e6db74;
}

.hljs-comment,
.hljs-deletion,
.hljs-meta {
    color: #75715e;
}

/*黑色主题皮肤结束*/
/*文章样式*/

#cnblogs_post_body
{
    color: #ffffff;      
    font-size: 16px;
}

#cnblogs_post_body th, .cnblogs-post-body th {
    background-color: grey;
}

#cnblogs_post_body h1 {
    background: #f00;
    border-radius: 6px 6px 6px 6px;
    box-shadow: 0 0 0 1px #5F5A4B, 1px 1px 6px 1px rgba(10, 10, 0, 0.5);
    color: #FFFFFF;
    font-family: "微软雅黑" , "宋体" , "黑体" ,Arial;
    font-size: 23px;
    font-weight: bold;
    height: 25px;
    line-height: 25px;
    margin: 18px 0 !important;
    padding: 8px 0 5px 5px;
    text-shadow: 2px 2px 3px #222222;
}




#cnblogs_post_body h2    {
    background: #006699;
    border-radius: 6px 6px 6px 6px;
    box-shadow: 0 0 0 1px #5F5A4B, 1px 1px 6px 1px rgba(10, 10, 0, 0.5);
    color: #FFFFFF;
    font-family: "微软雅黑" , "宋体" , "黑体" ,Arial;
    font-size: 18px;
    font-weight: bold;
    height: 25px;
    line-height: 25px;
    margin: 18px 0 !important;
    padding: 8px 0 5px 5px;
    text-shadow: 2px 2px 3px #222222;
}
#cnblogs_post_body h3    {
    background: #726E74;
    border-radius: 6px 6px 6px 6px;
    box-shadow: 0 0 0 1px #5F5A4B, 1px 1px 6px 1px rgba(10, 10, 0, 0.5);
    color: #FFFFFF;
    font-family: "微软雅黑" , "宋体" , "黑体" ,Arial;
    font-size: 17px;
    font-weight: bold;
    height: 25px;
    line-height: 25px;
    margin: 18px 0 !important;
    padding: 8px 0 5px 5px;
    text-shadow: 2px 2px 3px #222222;
}
#cnblogs_post_body h4{
    background: #2B6600;
    border-radius: 6px 6px 6px 6px;
    box-shadow: 0 0 0 1px #5F5A4B, 1px 1px 6px 1px rgba(10, 10, 0, 0.5);
    color: #FFFFFF;
    font-family: "微软雅黑" , "宋体" , "黑体" ,Arial;
    font-size: 16px;
    font-weight: bold;
    height: 24px;
    line-height: 23px;
    margin: 12px 0 !important;
    padding: 5px 0 5px 10px;
    text-shadow: 2px 2px 3px #222222;
}

/*博客导航栏 */
#navList {
    float:left;
    
    color:#0090D1;
}

#navList a{
    font-weight:normal!important; /*导航不加粗，用正常字体*/
    color: #ffffff!important;
}
#navList li {
    border: none;
    font-size: 18px;
    margin:0 0!important;
}

.blogStats {
    margin-right:12px!important;
} /*统计信息*/

/*首页博客标题*/
.postTitle {
    font-size: 22px!important;
    border-left: 3px solid #21759b;
    font-weight:normal!important;
    margin-bottom: 10px;
    float: right;
    width: 100%;
    clear: both;
}



/***************head*****************/
#blogTitle{
    overflow: hidden;
    height: auto;
}
#blogTitle h1{
    margin-left: 0;
    font-size:35px;
}
#blogTitle h1 a{
    color:black;
}
#blogTitle h1 a:hover{
    animation:myfirst1 1s;
    color:#0090D1;
}
#blogTitle h2{
    margin-top:7px;
}
#navList a{
    width:4em;
}

/

/*发表文章的标题*/

#topics .postTitle{  /*进入文章时，标题左侧框不要显示，会覆盖.postTile的border配置*/
    border:none;

}

.postTitle a:link, .postTitle a:visited, .postTitle a:active {
    color: #21759b;
    transition: all 0.4s linear 0s;
}

.postTitle a:hover {
    margin-left: 30px;
    color: #0f3647;
    text-decoration: none;
}


/*文章内容（简介内容）*/
.postCon {
    float: right;
    line-height: 1.5em;
    width: 100%;
    clear: both;
    padding: 10px 0;
}

.day .postTitle a {
    padding-left: 10px;
}

#mainContent .forFlow{
    margin-left:22em!important;
    margin-right: 6px;
}
/*文章附加信息*/
.postDesc {   
    background: url(images/posted_time.png) no-repeat 0 1px;
    color: #ffffff45 !important;
    float: left;
    width: 100%;
    clear: both;
    text-align: left;     
    font-family: "微软雅黑" , "宋体" , "黑体" ,Arial;
    font-size: 13px;
    padding-right: 20px;/*5px  padding-left: 90px;posted 发表时间左边距离*/
    margin-top: 20px;
    line-height: 1.8;
    padding-bottom: 35px;
}

.day{
    padding-left: 20px!important;
}

.postDesc{
    padding-left: 0px!important;
}

/*文章超链接样式*/
.postBody a:link, .postBody a:visited, .postBody a:active {
    text-decoration: none!important;
    color: #007acc;
}

.postBody a:visited, .postBody a:active {
    
    color: #000000;
}

.postBody a:hover {
    
    color: #005b99;
}


/**首页列表**/

#mainContent div.day{
    border-bottom: 1px solid #ededed;
    box-shadow: 5px 5px 3px #ffffff00;
}

/*随笔列表样式*/
.entrylistPosttitle {
    font-size: 22px!important;
    border-left: 3px solid #21759b;
    font-weight:normal!important;
    margin-bottom: 10px;
    padding-left:0px;
    float: right;
    width: 100%;
    clear: both;
}

.entrylistItem .entrylistPosttitle a{
    padding-left:10px;
}

.entrylistPostSummary {
    float: right;
    line-height: 1.5em;
    width: 99%;
    clear: both;
    padding: 10px 0;
    padding-right:6px;
}

.entrylistItemPostDesc{
    background: url(images/posted_time.png) no-repeat 0 1px;
    color: white;
    float: left;
    width: 100%;
    clear: both;
    text-align: left;     
    font-family: "微软雅黑" , "宋体" , "黑体" ,Arial;
    font-size: 13px;
    padding-right: 20px;/*5px  padding-left: 90px;posted 发表时间左边距离*/
    margin-top: 20px;
    line-height: 1.8;
    padding-bottom: 35px;
    padding-left: 0px!important;
}

.entrylistItem{
    padding-left: 20px!important;
}
/*分类描述*/
.entrylistDescription{
    font-size: 18px!important;
    font-weight:normal!important;
    margin-bottom: 20px;
    float: right;
    width: 100%;
    clear: both;
}

#nav_next_page a{
    margin-top:20px;
    border-radius:7px;
    padding:9px 20px 9px 20px;
}
#nav_next_page a:hover{ 
    animation:mytwo 1.5s;
    color:white;
    background-color:#0090d3
}

@keyframes myfirst1
{
    from {color:black;}
    to {color:#0090d3;}
}
@keyframes myfirst
{
    from {color:black;}
    to {color:#0090d3;}
}

@keyframes mytwo
{
    from {background:#aaaaaa;}
    to {background:#0090d3;}
}
@keyframes imgfirst{
    from{
	-webkit-filter: grayscale(100%);
	-moz-filter: grayscale(100%);
	-ms-filter: grayscale(100%);
	-o-filter: grayscale(100%);
	
	filter: grayscale(100%);
	
	filter: gray;}
    to{
	-webkit-filter: grayscale(0%);
	-moz-filter: grayscale(0%);
	-ms-filter: grayscale(0%);
	-o-filter: grayscale(0%);
	
	filter: grayscale(0%);
	
	filter: none;
    }
}



/*引用的样式*/

.postBody blockquote{
    padding: 10px 15px;
    border:none;
    border-left-style: solid;
    border-left-width: 10px;
    margin: 0 0 20px;
    border-color: white;
    background: none repeat scroll 0 0 rgba(102,128,153,.05);
}

/*标签样式*/
#myposts .PostList {
    margin-right: 20px;
    margin-top: 0px;
    
    padding-top: 10px;
    margin-bottom: 10px;
    padding-bottom: 10px;
    box-shadow: 5px 2px 2px #D0D1D2; /*列表阴影效果*/
}

.postTitl2{
    font-size: 22px;
    border-left: 3px solid #21759b;
    padding-top: 0px; 
    padding-bottom: 0px; 
}
.postDesc2{
    float:none;
}

#myposts .myposts_title{
    margin-bottom: 5px;
    font-size: 22px;
    border-bottom: 2px solid #e6e6e6;
    font-weight: normal;
    text-align: left;
}

.postTitl2 a{
    padding-left:10px;
}

.PostList a:link, .PostList a:visited, .PostList a:active {
    color: #21759b;
    transition: all 0.4s linear 0s;
}

.diggit {
    float: left;
    width: 46px;
    height: 52px;
    background: url(https://images.cnblogs.com/cnblogs_com/seanshao/855033/o_rocket.png);
    text-align: inherit;
    background-repeat: no-repeat;
    cursor: pointer;
    margin-top: 2px;
    padding-top: 5px;
}
.buryit{
    display:none;
}

.PostList a:hover {
    margin-left: 30px;
    color: #0f3647;
    text-decoration: none;
}


.cnblogs-markdown .hljs {
    font-family: Consolas!important;
    font-size: 17px !important;
    display: block;
    overflow-x: auto;
    padding: 0.5em;
    background: #000000d0 !important;
    color: #FFF;
    white-space: pre;
    word-break: normal;
    max-height: 500px;
}

.cnblogs-markdown code, .cnblogs-post-body code {
    font-family: "Courier New",sans-serif !important;
    font-size: 15px !important;
    background-color: #0000004a !important;
    border: 1px solid #ccc !important;
    border-radius: 4px !important;
    vertical-align: middle;
}

